# ``twisted`.`names`.`dns`.`Record_MX``

class documentation

`class Record_MX(tputil.FancyStrMixin, tputil.FancyEqMixin): (source)`

Implements interfaces: `twisted.names.dns.IEncodableRecord`

View In Hierarchy

Mail exchange.

Method | `__hash__` | Undocumented
Method | `__init__` |
Method | `decode` | Reconstruct an object from data read from the given file object.
Method | `encode` | Write a representation of this object to the given file object.
Class Variable | `compareAttributes` | Undocumented
Class Variable | `fancybasename` | Undocumented
Class Variable | `showAttributes` | Undocumented
Instance Variable | `name` | A domain-name which specifies a host willing to act as a mail exchange.
Instance Variable | `preference` | Specifies the preference given to this RR among others at the same owner. Lower values are preferred.
Instance Variable | `ttl` | The maximum number of seconds which this record should be cached.

Inherited from `FancyStrMixin`:

Method | `__str__` | Undocumented

Inherited from `FancyEqMixin`:

Method | `__eq__` | Undocumented
Method | `__ne__` | Undocumented

def __hash__(self): (source)

Undocumented

def __init__(self, preference=0, name=b'', ttl=None, **kwargs): (source)

Parameters
preference | Undocumented
name:`bytes` or `str` | See `Record_MX.name`.
ttl | Undocumented
**kwargs | Undocumented

def decode(self, strio, length=None): (source)
from `twisted.names.dns.IEncodable`
Reconstruct an object from data read from the given file object.

Parameters
strio:File-like object | A seekable buffer from which bytes may be read.
length:`int` or `None` | The number of bytes in this RDATA field. Most implementations can ignore this value. Only in the case of records similar to TXT where the total length is in no way encoded in the data is it necessary.

def encode(self, strio, compDict=None): (source)
from `twisted.names.dns.IEncodable`
Write a representation of this object to the given file object.

Parameters
strio:File-like object | The buffer to write to. It must have a `tell()` method.
compDict:`dict` of `bytes` to `int` r `None` | A mapping of names to byte offsets that have already been written to the buffer, which may be used for compression (see RFC 1035 section 4.1.4). When `None`, encode without compression.

compareAttributes: `tuple[str, ...]` = (source)
overrides `twisted.python.util.FancyEqMixin.compareAttributes`

Undocumented

fancybasename: `str` = (source)

Undocumented

showAttributes: `tuple` = (source)
overrides `twisted.python.util.FancyStrMixin.showAttributes`

Undocumented

name: `Name` = (source)
A domain-name which specifies a host willing to act as a mail exchange.
preference: `int` = (source)
Specifies the preference given to this RR among others at the same owner. Lower values are preferred.
ttl: `int` = (source)
The maximum number of seconds which this record should be cached.